OpenVDB 12.1.1

Loading...
Searching...
No Matches
nanovdb::tools::morphology Namespace Reference

## Classes
struct | NearestNeighborBitMask

## Enumerations
enum | NearestNeighbors { NN_FACE = 6 , NN_FACE_EDGE = 18 , NN_FACE_EDGE_VERTEX = 26 }

## Functions
template<NearestNeighbors nnType>
__hostdev__ uint32_t | neighborMaskStencil (const nanovdb::Mask< 3 > &mask)

## Enumeration Type Documentation

## ◆ NearestNeighbors

enum NearestNeighbors

Enumerator
NN_FACE |
NN_FACE_EDGE |
NN_FACE_EDGE_VERTEX |

## Function Documentation

## ◆ neighborMaskStencil()

template<NearestNeighbors nnType>

__hostdev__ uint32_t neighborMaskStencil | ( | const nanovdb::Mask< 3 > & | mask | ) |